Bug 238809 - Zope won't start on f7-t3
Zope won't start on f7-t3
Product: Fedora
Classification: Fedora
Component: zope (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-05-02 22:01 EDT by David G. Mackay
Modified: 2008-04-03 21:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-03 21:36:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David G. Mackay 2007-05-02 22:01:17 EDT
Description of problem:
zope will not start

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.zopectl start
Actual results:
extra_ivars assertion error after warnings about python api version mismatches

Expected results:

Additional info:
This version of zope will not run with python 2.5.x.  It is attempting to use
the /usr/bin/python version to run zope.  There are zope packagings available
which include a compatible version of python in the zope directory tree.  One of
these should be used.
Comment 1 Jonathan Steffan 2007-05-02 22:16:48 EDT
Zope needs python 2.4 at this time. There is no python 2.4 in F7.

I fought for a while to get some sort of python 2.4 in F7, I was told it is not
going to happen. Go make some noise on the Fedora-Devel list; I was unable to
get inclusing of anything python 2.4 in F7.
Comment 2 Jonathan Steffan 2007-05-02 22:18:45 EDT
s/inclusing/inclusion/ ;-)
Comment 3 Jonathan Steffan 2007-05-23 14:30:04 EDT

There is still no python 2.4 support and it still looks like there never will be
(provided by Fedora.)

There are a few ways I am considering to continue support of Zope on Fedora,
please stay tuned.
Comment 4 Bug Zapper 2008-04-03 20:26:53 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Jonathan Steffan 2008-04-03 21:36:02 EDT
Packages are in the livna repo.

Note You need to log in before you can comment on or make changes to this bug.